diff --git a/changelog b/changelog
index 3f0c124..cb137f3 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090927 tpd src/axiom-website/patches.html 20090927.02.tpd.patch
+20090927 tpd src/interp/server.lisp cleanup
 20090927 tpd src/axiom-website/patches.html 20090927.01.tpd.patch
 20090927 tpd src/interp/sfsfun.lisp cleanup
 20090926 tpd src/axiom-website/patches.html 20090926.05.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index b383436..8db1f51 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2051,5 +2051,7 @@ src/interp/intint.lisp cleanup<br/>
 src/interp/c-doc.lisp cleanup<br/>
 <a href="patches/20090927.01.tpd.patch">20090927.01.tpd.patch</a>
 src/interp/sfsfun.lisp cleanup<br/>
+<a href="patches/20090927.02.tpd.patch">20090927.02.tpd.patch</a>
+src/interp/server.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/server.lisp.pamphlet b/src/interp/server.lisp.pamphlet
index cebf396..fe9bb0c 100644
--- a/src/interp/server.lisp.pamphlet
+++ b/src/interp/server.lisp.pamphlet
@@ -26,7 +26,8 @@
 
 (DEFUN |parseAndInterpret| (|str|)
   (PROG (|$InteractiveMode| $BOOT $SPAD |$e|)
-    (DECLARE (SPECIAL |$InteractiveMode| $BOOT $SPAD |$e|))
+    (DECLARE (SPECIAL |$InteractiveMode| $BOOT $SPAD |$e| |$useNewParser|
+                      |$InteractiveFrame|))
     (RETURN
       (PROGN
         (SPADLET |$InteractiveMode| 'T)
@@ -61,7 +62,7 @@
 
 (DEFUN |executeQuietCommand| ()
   (PROG (|$QuietCommand| |stringBuf|)
-    (DECLARE (SPECIAL |$QuietCommand|))
+    (DECLARE (SPECIAL |$QuietCommand| |$MenuServer|))
     (RETURN
       (PROGN
         (SPADLET |$QuietCommand| 'T)
@@ -121,7 +122,11 @@
 (DEFUN |serverLoop| ()
   (PROG (IN-STREAM *EOF* |action| |frameName| |currentFrame| |form|
             |stringBuf|)
-    (DECLARE (SPECIAL IN-STREAM *EOF*))
+    (DECLARE (SPECIAL IN-STREAM *EOF* |$Prompt| |$EndOfOutput| |$EndSession|
+                      |$SessionManager| |$MenuServer| |$SpadCommand|
+                      |$QuietSpadCommand| |$LispCommand| |$EndServerSession|
+                      |$frameAlist| |$currentFrameNum| |$SwitchFrames|
+                      |$frameNumber| |$CreateFrame| |$CallInterp|))
     (RETURN
       (SEQ (PROGN
              (SPADLET IN-STREAM CURINSTREAM)
@@ -208,6 +213,7 @@
 
 (DEFUN |parseAndEvalToHypertex| (|str|)
   (PROG (|lines| |len|)
+  (declare (special |$MenuServer|))
     (RETURN
       (SEQ (PROGN
              (SPADLET |lines|
